#if !defined(AFX_DIALOGMSG_H__A9D449A5_927E_4A0D_A396_AD9099BCE979__INCLUDED_)
#define AFX_DIALOGMSG_H__A9D449A5_927E_4A0D_A396_AD9099BCE979__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DialogMsg.h : header file
//
#include "resource.h"

#include "ColorStatic.h" 

/////////////////////////////////////////////////////////////////////////////
// CDialogMsg dialog

class CDialogMsg : public CDialog
{
// Construction
public:

	COLORREF m_color;

	CDialogMsg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDialogMsg)
	enum { IDD = IDD_DIALOGMSG };
		// NOTE: the ClassWizard will add data members here
	CString m_msg;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogMsg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	protected:
		CBrush m_brush; 
		CColorStatic m_stMsg;

	// Generated message map functions
	//{{AFX_MSG(CDialogMsg)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIALOGMSG_H__A9D449A5_927E_4A0D_A396_AD9099BCE979__INCLUDED_)
